### Signal

# RB PlayerGstFilter::filter-pre-remove

#### Declaration

    void
    filter_pre_remove (
      RBPlayerGstFilter* self,
      GObject* filter,
      gpointer user_data
    )

#### Description [src]

The ‘filter-pre-remove’ signal is emitted immediately before the element is unlinked and removed from the pipeline.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing

#### Parameters

`filter`

  Type: `GObject`

  The element which is about to be removed.

  The data is owned by the caller of the function.